# Uses of Class
org.kapott.hbci.sepa.SepaVersion

Packages that use SepaVersion
Package
Description
org.kapott.hbci.bpd
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.GV.generators
org.kapott.hbci.GV.parsers
org.kapott.hbci.sepa

## Uses of SepaVersion in org.kapott.hbci.bpd

Methods in org.kapott.hbci.bpd that return types with arguments of type SepaVersion
Modifier and Type
Method
Description
`List<SepaVersion>`
VoPParameter.`getFormats()`
Liefert die PAIN-Formate, welche für die VoP-Rückmeldungen bei Sammelaufträgen verwendet werden.

## Uses of SepaVersion in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV that return SepaVersion
Modifier and Type
Method
Description
`protected SepaVersion`
AbstractGVLastSEPA.`getDefaultPainVersion()`
`protected abstract SepaVersion`
AbstractSEPAGV.`getDefaultPainVersion()`
Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.
`protected SepaVersion`
GVDauerLastSEPAList.`getDefaultPainVersion()`
`protected SepaVersion`
GVDauerSEPADel.`getDefaultPainVersion()`
`protected SepaVersion`
GVDauerSEPAEdit.`getDefaultPainVersion()`
`protected SepaVersion`
GVDauerSEPAList.`getDefaultPainVersion()`
`protected SepaVersion`
GVDauerSEPANew.`getDefaultPainVersion()`
`protected SepaVersion`
GVKUmsAllCamt.`getDefaultPainVersion()`
`protected SepaVersion`
GVTermUebSEPA.`getDefaultPainVersion()`
`protected SepaVersion`
GVTermUebSEPADel.`getDefaultPainVersion()`
`protected SepaVersion`
GVTermUebSEPAEdit.`getDefaultPainVersion()`
`protected SepaVersion`
GVTermUebSEPAList.`getDefaultPainVersion()`
`protected SepaVersion`
GVUebSEPA.`getDefaultPainVersion()`
`protected SepaVersion`
GVUmbSEPA.`getDefaultPainVersion()`
`protected SepaVersion`
AbstractSEPAGV.`getPainVersion()`
Liefert den zu verwendenden PAIN-Version fuer die HBCI-Nachricht.

## Uses of SepaVersion in org.kapott.hbci.GV.generators

Methods in org.kapott.hbci.GV.generators that return SepaVersion
Modifier and Type
Method
Description
`SepaVersion`
AbstractSEPAGenerator.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800101.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800102.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800108.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800110.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800201.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800202.`getSepaVersion()`
`SepaVersion`
GenLastSEPA00800302.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100102.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100103.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100109.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100111.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100202.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100203.`getSepaVersion()`
`SepaVersion`
GenUebSEPA00100303.`getSepaVersion()`
`SepaVersion`
ISEPAGenerator.`getSepaVersion()`
Liefert die SEPA-Version des Generators.
Methods in org.kapott.hbci.GV.generators with parameters of type SepaVersion
Modifier and Type
Method
Description
`static ISEPAGenerator`
SEPAGeneratorFactory.`get(String jobname, SepaVersion version)`
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.
`static ISEPAGenerator`
SEPAGeneratorFactory.`get(HBCIJob job, SepaVersion version)`
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

## Uses of SepaVersion in org.kapott.hbci.GV.parsers

Methods in org.kapott.hbci.GV.parsers with parameters of type SepaVersion
Modifier and Type
Method
Description
`static ISEPAParser`
SEPAParserFactory.`get(SepaVersion version)`
Gibt den passenden SEPA Parser für die angegebene PAIN-Version.
`protected <R> R`
AbstractSepaParser.`parse(InputStream is, SepaVersion version, Class<R> root)`
Parst das XML fehlertolerant auch dann, wenn kein Namespace im XML angegeben ist.

## Uses of SepaVersion in org.kapott.hbci.sepa

Fields in org.kapott.hbci.sepa declared as SepaVersion
Modifier and Type
Field
Description
`static SepaVersion`
SepaVersion.`CAMT_052_001_01`
`static SepaVersion`
SepaVersion.`CAMT_052_001_02`
`static SepaVersion`
SepaVersion.`CAMT_052_001_03`
`static SepaVersion`
SepaVersion.`CAMT_052_001_04`
`static SepaVersion`
SepaVersion.`CAMT_052_001_05`
`static SepaVersion`
SepaVersion.`CAMT_052_001_06`
`static SepaVersion`
SepaVersion.`CAMT_052_001_07`
`static SepaVersion`
SepaVersion.`CAMT_052_001_08`
`static SepaVersion`
SepaVersion.`CAMT_052_001_09`
`static SepaVersion`
SepaVersion.`PAIN_001_001_02`
`static SepaVersion`
SepaVersion.`PAIN_001_001_03`
`static SepaVersion`
SepaVersion.`PAIN_001_001_09`
`static SepaVersion`
SepaVersion.`PAIN_001_001_11`
`static SepaVersion`
SepaVersion.`PAIN_001_002_02`
`static SepaVersion`
SepaVersion.`PAIN_001_002_03`
`static SepaVersion`
SepaVersion.`PAIN_001_003_03`
`static SepaVersion`
SepaVersion.`PAIN_002_001_10`
`static SepaVersion`
SepaVersion.`PAIN_002_001_11`
`static SepaVersion`
SepaVersion.`PAIN_002_001_12`
`static SepaVersion`
SepaVersion.`PAIN_002_001_13`
`static SepaVersion`
SepaVersion.`PAIN_002_001_14`
`static SepaVersion`
SepaVersion.`PAIN_008_001_01`
`static SepaVersion`
SepaVersion.`PAIN_008_001_02`
`static SepaVersion`
SepaVersion.`PAIN_008_001_08`
`static SepaVersion`
SepaVersion.`PAIN_008_001_10`
`static SepaVersion`
SepaVersion.`PAIN_008_002_01`
`static SepaVersion`
SepaVersion.`PAIN_008_002_02`
`static SepaVersion`
SepaVersion.`PAIN_008_003_02`
Methods in org.kapott.hbci.sepa that return SepaVersion
Modifier and Type
Method
Description
`static SepaVersion`
SepaVersion.`autodetect(InputStream xml)`
Ermittelt die SEPA-Version aus dem uebergebenen XML-Stream.
`static SepaVersion`
SepaVersion.`byURN(String urn)`
Liefert die SEPA-Version aus dem URN.
`static SepaVersion`
SepaVersion.`choose(String sepadesc, String sepadata)`
Die Bank sendet in ihren Antworten sowohl den SEPA-Deskriptor als auch die SEPA-Daten (die XML-Datei) selbst.
`static SepaVersion`
SepaVersion.`findGreatest(List<SepaVersion> list)`
Findet in den der Liste die hoechste SEPA-Version.
Methods in org.kapott.hbci.sepa that return types with arguments of type SepaVersion
Modifier and Type
Method
Description
`static List<SepaVersion>`
SepaVersion.`getKnownVersions(SepaVersion.Type t)`
Liefert eine Liste der bekannten SEPA-Versionen fuer den angegebenen Typ.
Methods in org.kapott.hbci.sepa with parameters of type SepaVersion
Modifier and Type
Method
Description
`int`
SepaVersion.`compareTo(SepaVersion v)`
Method parameters in org.kapott.hbci.sepa with type arguments of type SepaVersion
Modifier and Type
Method
Description
`static SepaVersion`
SepaVersion.`findGreatest(List<SepaVersion> list)`
Findet in den der Liste die hoechste SEPA-Version.